Subject: linux-next: build failure after merge of the dma-mapping tree

From: Mark Brown <[email-masked]>
Date: Fri, 27 Mar 2026 20:07:04 +0000

Hi all,

After merging the dma-mapping tree, today's linux-next build (x86_64
allmodconfig) failed like this:

x86_64-linux-gnu-ld: vmlinux.o: in function `dma_contiguous_reserve':
(.init.text+0xbf3bb): undefined reference to `dma_heap_cma_register_heap'

Caused by commit

  3a236f6a5cf2da (dma: contiguous: Turn heap registration logic around)

I have used the version from next-20260326 instead.